Bug 560172 - Review Request: jvyamlb - YAML processor for JRuby
Review Request: jvyamlb - YAML processor for JRuby
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On: 560169 560170
Blocks: 541638
  Show dependency treegraph
 
Reported: 2010-01-29 21:34 EST by Victor G. Vasilyev
Modified: 2010-02-11 15:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-11 15:27:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmorsi: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Victor G. Vasilyev 2010-01-29 21:34:00 EST
Spec URL: http://victorv.fedorapeople.org/files/jvyamlb.spec
SRPM URL: http://victorv.fedorapeople.org/files/jvyamlb-0.2.5-3.fc13.src.rpm
Description: 
YAML processor extracted from JRuby.


This review request has been filed, because the package was last updated more
than three months ago and it is orphaned:
https://admin.fedoraproject.org/pkgdb/packages/name/jvyamlb
Comment 1 Mo Morsi 2010-02-08 14:19:55 EST
Looks good for most part, builds find in mock and passes most review
guidelines. 

A couple of specifics though:

The following line doesn't work as intended:
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

You can replace it w/ this:
find \( -name '*.jar' -o -name '*.class' \) -exec rm -rf {} \;


As far as the changelog you have a typo, "Jun 2010" should be "Jan 2010". 

Also why did you remove the previous entries from the changelog
http://cvs.fedoraproject.org/viewvc/rpms/jvyamlb/F-11/jvyamlb.spec?view=markup

Also I didn't try, but if it works w/ gcj (java-devel >= 1.5) adding gcj support to the spec is relatively easy:
http://fedoraproject.org/wiki/Packaging/GCJGuidelines
Comment 2 Victor G. Vasilyev 2010-02-08 21:13:43 EST
(In reply to comment #1)
> 
> The following line doesn't work as intended:
> find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;
> 
> You can replace it w/ this:
> find \( -name '*.jar' -o -name '*.class' \) -exec rm -rf {} \;
> 
fixed according to the Specfile Template for ant
https://fedoraproject.org/wiki/Packaging:Java#ant_2

> 
> As far as the changelog you have a typo, "Jun 2010" should be "Jan 2010". 
>
fixed
 
> Also why did you remove the previous entries from the changelog
> http://cvs.fedoraproject.org/viewvc/rpms/jvyamlb/F-11/jvyamlb.spec?view=markup
>
No, changelog in the release 0.2.5-3 contains full history.
 
> Also I didn't try, but if it works w/ gcj (java-devel >= 1.5) adding gcj
> support to the spec is relatively easy:
> http://fedoraproject.org/wiki/Packaging/GCJGuidelines
Releases of the package was never containing gcj bits.
We shouldn't add stuff of the deprecated technology into this package. Clarification is here:
https://bugzilla.redhat.com/show_bug.cgi?id=560170#c5
    
The release 4 is prepared for review:
Spec URL: http://victorv.fedorapeople.org/files/jvyamlb.spec
SRPM URL: http://victorv.fedorapeople.org/files/jvyamlb-0.2.5-4.fc13.noarch.rpm
Comment 3 Mo Morsi 2010-02-10 14:31:22 EST
I think you mistakingly uploaded the built rpm instead of the srpm for the latest release. 

I'll continue w/ the review once the SRPM is uploaded.
Comment 4 Victor G. Vasilyev 2010-02-10 14:56:38 EST
Sorry for my fault.

The release 4 is prepared for review:
Spec URL: http://victorv.fedorapeople.org/files/jvyamlb.spec
SRPM URL: http://victorv.fedorapeople.org/files/jvyamlb-0.2.5-4.fc13.src.rpm
Comment 5 Mo Morsi 2010-02-10 15:21:26 EST
(In reply to comment #4)
> Sorry for my fault.
> 
> The release 4 is prepared for review:
> Spec URL: http://victorv.fedorapeople.org/files/jvyamlb.spec
> SRPM URL: http://victorv.fedorapeople.org/files/jvyamlb-0.2.5-4.fc13.src.rpm    

Everything looks good. Package is fully compliant w/ guidelines and builds fine
in mock when jcodings, bytelist dependencies are installed.

APPROVED

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.
Comment 6 Victor G. Vasilyev 2010-02-10 15:34:19 EST
Package Change Request
======================
Package Name: jvyamlb
New Branches: 
Owners: victorv
Updated Description: YAML processor for JRuby

The package https://admin.fedoraproject.org/pkgdb/packages/name/jvyamlb
exists, but has been orphaned and deprecated.
Comment 7 Kevin Fenzi 2010-02-11 01:21:59 EST
CVS done.
Comment 8 Victor G. Vasilyev 2010-02-11 06:09:17 EST
cvs import done.

https://fedorahosted.org/rel-eng/ticket/3378
Comment 9 Victor G. Vasilyev 2010-02-11 15:27:04 EST
koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1978440

Note You need to log in before you can comment on or make changes to this bug.